function [AppLeng]=ApproxLength(x,y)
%This function approximates the length AppLeng of a curve (x,y) in the
%simplest way possible, i.e. by summing the distances between two
%consecutive points.. Given that the initial point is the first point of
%the dataset, the first distance is always zero, and the length of the
%result is the same length as the length of the input vectors.
%
%Use: AppLeng=ApproxLength(x,y)
%
%(c) Aymeric-Pierre B. Peyret 2010-2011

%Check size compatibility
sx=size(x);
sy=size(y);

if sx(1)~=sy(1)
    if sx(1)~=sy(2)
        error('Sizes...','The sizes of vectors x and y are different. Please correct!');
    elseif sy(1)~=sx(2)
        error('Sizes...','The sizes of vectors x and y are different. Please correct!');
    else
        y=y';
        sy=size(y);
    end
else
    if sx(2)~=sy(2)
        error('Sizes...','The sizes of vectors x and y are different. Please correct!');
    end
end

switchorientation=0;
if (sx(1)==1)&&(sx(2)~=1)
    x=x';y=y';%make them column vectors
    switchorientation=1;
end

AppLeng=cumsum(sqrt(diff(x).^2+diff(y).^2));
AppLeng=[0;AppLeng];
if switchorientation
    AppLeng=AppLeng';
end